#!/usr/bin/perl

# Script:
# Private Copy - Misc Scripts for zzz-Panel


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Private Copy - Misc Scripts for zzz-Panel");

$Launched_Script->is_Private();

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Copies various misc scripts into /root/zzz-Panel/.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"copy various misc scripts into /root/zzz-Panel/"
	);


if ( $should_proceed )
{

	
	
	#---------------
	#
	# Files to copy:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"/Make Welcome to Disk File" => "/root/zzz-Panel/",
		"/Make Welcome to Disk File and Diskname Folder", "/root/zzz-Panel/",

		"/Make Contents Note File" => "/root/zzz-Panel/",
		"/Make Relative Folders in ApWorkspace", "/root/zzz-Panel",
		
		"/Prompt for Contents Note File.sh" => "/root/zzz-Panel",
		"/Prompt to Make Relative Folders in ApWorkspace.sh" => "/root/zzz-Panel",

		"/Dated and Timed Folder" => "/root/zzz-Panel",	
		
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs( "/mnt/truecrypt1/Rhovanion/Meadow/Belvedere/Lupu5284/Grove", \%files_to_copy__their_relative_paths__then_their_dest_parentdirs );
	
	

	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();