#!/usr/bin/perl

# Script:
# Install Pet - Eryss v0.1 astrology software and Swiss Ephemeris 1.78.00 
# Extension Package v1.0 for Astroblahhh GLMP-GTK or Astroblahhh PH-GTK v1.0


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install .pet of Eryss v0.1 and Swiss Ephemeris 1.78.00 Extension Package 1.0 for Astroblahhh GLMP-GTK v1.0 or Astroblahhh PH-GTK v1.0 for Ubuntu Puppies and Slacko");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs the Eryss astrology software and Swiss Ephemeris, making them available to use with Astroblahhh GLMP-GTK or Astroblahhh PH-GTK.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $pet_path;
my $pet_name;

my $chose_to_install;

#
#
#	End of variable declarations
#
#####################################################



$pet_name="Eryss-0.1-and-Swiss-Ephemeris-1.78.00-Extension-Package-1.0-for-Astroblahhh-GLMP-GTK-or-PH-GTK.pet";

$pet_path=$Puppy_Setup_Kit->Realm_Path("Waterfall") . "Astroblahhh/Eryss/$pet_name";


$chose_to_install
	= Install_Pet( $Puppy_Setup_Kit->should_or_should_not_install_without_asking, $pet_path, "Eryss v0.1 astrology software and Swiss Ephemeris 1.78.00 Extension Package 1.0 for Astroblahhh GLMP-GTK v1.0 or Astroblahhh PH-GTK v1.0 for Ubuntu Puppies and Slacko");


if ($chose_to_install == true)
{
	
	$Launched_Script->Was_Successfully_Completed();
	
}	


End_Script();