#!/usr/bin/perl

# Script:
# Install Pet - Astroblahhh PH-GTK v1.0


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install .pet of Astroblahhh PH-GTK v1.0");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs Astroblahhh PH-GTK v1.0, a software development package which is basically the same thing as Astroblahhh GLMP-GTK, minus most web development-related things.  Contains PHP-GTK, which enables you to use and write PHP desktop software.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();




use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $pet_path;
my $pet_name;

my $chose_to_install;

#
#
#	End of variable declarations
#
#####################################################



$pet_name="Astroblahhh-PH-GTK-1.0--for-Ubuntu-Puppies-and-Slacko.pet";

$pet_path=$Puppy_Setup_Kit->Realm_Path("Fjord") . "Astroblahhh/PH-GTK/$pet_name";


$chose_to_install
	= Install_Pet( $Puppy_Setup_Kit->should_or_should_not_install_without_asking, $pet_path, "Astroblahhh PH-GTK v1.0 for Ubuntu Puppies and Slacko");

if ($chose_to_install == true)
{
	
	$Launched_Script->Was_Successfully_Completed();
	
}	

End_Script();