#!/usr/bin/perl

# Script:
# Install Pet - IceWM window manager v1.3.7-pre2-L519-lucid--xdialog-removed-by-apollia
#
# (Apollia removed the annoying Xdialog that used to pop up after installation.)


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Pet - IceWM window manager v1.3.7-pre2-L519-lucid--xdialog-removed-by-apollia");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs IceWM window manager v1.3.7-pre2-L519-lucid--xdialog-removed-by-apollia, without custom settings.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
#$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();




use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $pet_name;
my $pet_path;

my $chose_to_install;

#
#
#	End of variable declarations
#
#####################################################



$pet_name="icewm-1.3.7pre2-L519-lucid--xdialog-removed-by-apollia.pet";

$pet_path=$Puppy_Setup_Kit->Realm_Path("Waterfall") . "Window Managers/IceWM/$pet_name";



$chose_to_install
	= Install_Pet ( $Puppy_Setup_Kit->should_or_should_not_install_without_asking, $pet_path, "IceWM window manager v1.3.7-pre2-L519-lucid--xdialog-removed-by-apollia");



if ($chose_to_install == true)
{
	
	$Launched_Script->Was_Successfully_Completed();
	
}	


End_Script();