#!/usr/bin/perl

# Script:
# Lupu5284 Fjord Downloads


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Lupu5284 Fjord Downloads");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("The software in the Fjord folder is optional, unless you really want or need it for something.  These files are often very large.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( 
	"Make_Many_Folder_Paths"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @scripts_to_launch__their_relative_paths;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



	#---------------------
	#
	# Scripts to launch:
	
	
@scripts_to_launch__their_relative_paths = (

		
		"Astroblahhh/GLMP-GTK/Download Pet - Astroblahhh GLMP-GTK v1.0 (not the quieter installer version).pl",
		
		"Astroblahhh/GLMP-GTK/Download SFS File - Astroblahhh GLMP-GTK v1.0 (not the quieter installer version).pl",

		"Astroblahhh/PH-GTK/Download Pet - Astroblahhh PH-GTK v1.0 (not the quieter installer version).pl",
		
		"Astroblahhh/PH-GTK/Download SFS File - Astroblahhh PH-GTK v1.0 (not the quieter installer version).pl",
		
		
		"DevX/Download DevX file for Lupu5284.pl",
		
		
		"emacs/Download SFS File - GNU Emacs v24.3.pl",
		
		
		"Kernel/Download SFS File - kernel_src_L4-2.6.33-2.patched.pl",
			
		
		"Puppy ISO/Download Puppy ISO - Lucid Puppy 5.2.8 version 004.pl",
		
		
		"VirtualBox/Download PDF - Manual - VirtualBox 4.1.8.pl",
		
		"VirtualBox/Download ISO - VirtualBox Guest Additions, useable with VirtualBox 4.1.8.pl",
		
		
	);
	
Print_Array_Indentedly(\@scripts_to_launch__their_relative_paths);

print "\n\n";

$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"if you'd like to install any of the above Fjord software for Lucid Puppy 5.2.8 version 004"
	);


if ( $should_proceed )
{

	
	
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path("Woodland") . "Apollia's Puppy Setup Kit/Downloader Scripts/Fjord/", \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Dont_Do_Things_Automatically" );
	
	
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();